Page MenuHomePhabricator

Start reading from change_tag_def in beta cluster
Closed, ResolvedPublic

Description

This is needed to get the other ones done

Event Timeline

Ladsgroup created this task.Jun 7 2018, 5:55 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 7 2018, 5:55 PM

Change 438060 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] labs: set $wgChangeTagsSchemaMigrationStage to MIGRATION_WRITE_BOTH

https://gerrit.wikimedia.org/r/438060

Change 438060 merged by jenkins-bot:
[operations/mediawiki-config@master] labs: set $wgChangeTagsSchemaMigrationStage to MIGRATION_WRITE_BOTH

https://gerrit.wikimedia.org/r/438060

…is this task already done? The Gerrit change seems to be merged :)

Actually I made a mess here :D We enabled writing to the table which we realized is not as bug-free as we thought. We don't even have code to read from the table :/

Vvjjkkii renamed this task from Start reading from change_tag_def in beta cluster to 8fbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii removed Ladsgroup as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from 8fbaaaaaaa to Start reading from change_tag_def in beta cluster.Jul 2 2018, 3:09 PM
CommunityTechBot assigned this task to Ladsgroup.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 458579 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[operations/mediawiki-config@master] labs: Set wgChangeTagsSchemaMigrationStage to MIGRATION_NEW

https://gerrit.wikimedia.org/r/458579

Change 458579 merged by jenkins-bot:
[operations/mediawiki-config@master] labs: Set wgChangeTagsSchemaMigrationStage to MIGRATION_NEW

https://gerrit.wikimedia.org/r/458579

Change 458942 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Revert "labs: Set wgChangeTagsSchemaMigrationStage to MIGRATION_NEW"

https://gerrit.wikimedia.org/r/458942

Change 458942 merged by jenkins-bot:
[operations/mediawiki-config@master] Revert "labs: Set wgChangeTagsSchemaMigrationStage to MIGRATION_NEW"

https://gerrit.wikimedia.org/r/458942

Catrope added a subscriber: Catrope.Sep 8 2018, 4:12 AM

Reverted config change because Recentchanges and Watchlist were throwing exceptions. https://gerrit.wikimedia.org/r/c/mediawiki/extensions/OAuth/+/459016 should fix the underlying issue.

@Catrope Thanks for the fix, I merged it and it's deployed on beta cluster so I reverted your config change and everything looks good so far. Should we call this done?

Lydia_Pintscher closed this task as Resolved.Sep 16 2018, 10:37 AM
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Let's call it done. Please reopen if anything is missing.